import mongokit

from mongopypi.model.release import Release
from mongopypi.model.project import Project
from mongopypi.model.info import Info, SyncInfo  # , MongoPypiVersion
from mongopypi.model.changelog import Changelog
from mongopypi.model.synclog import Synclog


DEFAULT_URI = "mongodb://readonly:readonly@mtlpy.org:27017/pypi"
SCHEMA_VERSION = 1


def client(uri=DEFAULT_URI):
    connection = mongokit.MongoClient(uri)

    connection.register(Release)
    connection.register(Project)
    connection.register(Info)
    connection.register(SyncInfo)
    # connection.register(MongoPypiVersion)
    connection.register(Changelog)
    connection.register(Synclog)

    # version = connection.MongoPypiVersion.get_from_id('MongoPypiVersion')
    # if version > SCHEMA_VERSION:
    #     raise Exception(
    #         "MongoPypiClient is out of date. "
    #         "DB Schema has changed.")

    return connection['pypi']
