from mongokit import Document


class Changelog(Document):
    __collection__ = 'changelog'
    use_dot_notation = True

    structure = {
        '_id': int,     # field: id (from pypi changelog)
        'n': unicode,   # field: name
        'v': unicode,   # field: version (v is not set if None)
        'd': unicode,   # field: description
        'da': unicode,  # field: description/action
        'df1': unicode,  # field: description/field1
        'df2': unicode,  # field: description/field2
        't': int,       # field: timestamp
    }

    required_fields = ['n', 'd', 't']

    indexes = [{'fields': ['n']},
               {'fields': ['t']},
               ]

    def __str__(self):
        s = u"[{_id} {t}]  {da:16} {n}:{v} / {df1} / {df2}"
        return s.format(**self)

    def __repr__(self):
        s = u"<Change id:%s timestamp:%s>" % (self._id, self.t)
        return s
