import datetime

from mongokit import Document


class Project(Document):
    __collection__ = 'projects'
    use_dot_notation = True

    structure = {
        'name': unicode,
        'versions': [unicode],
        'versions_synctime': datetime.datetime,
        'owners': [unicode],
        'owners_synctime': datetime.datetime,
        'maintainers': [unicode],
        'maintainers_synctime': datetime.datetime,
        'removed': bool,
    }

    default_values = {'removed': False}

    required_fields = ['name', 'removed']

    indexes = [
        {
            'fields': ['name'],
        },
        {
            'fields': ['maintainers'],
        },
        {
            'fields': ['owners'],
        },
    ]
