import datetime

from mongokit import Document


class Release(Document):
    __collection__ = 'releases'
    use_dot_notation = True

    structure = {
        'name': unicode,
        'version': unicode,
        'metadata': dict,
        'metadata_synctime': datetime.datetime,
        'urls': list,
        'urls_synctime': datetime.datetime,
        'removed': bool,
    }

    default_values = {'removed': False}

    required_fields = ['name', 'version', 'removed']

    indexes = [
        {
            'fields': ['name', 'version'],
        },
    ]
