from setuptools import setup, find_packages
import codecs

version = '0.3.dev0'


def read(filename):
    return unicode(codecs.open(filename, encoding='utf-8').read())


long_description = '\n\n'.join([read('README.rst'),
                                read('CREDITS.rst'),
                                read('CHANGES.rst')])

setup(name='mongopypi',
      version=version,
      description="Client librairy for PyPiMongo, a mongodb replica of pypi",
      long_description=long_description,
      classifiers=[
          "Development Status :: 4 - Beta",
          "Intended Audience :: Developers",
          "License :: OSI Approved :: GNU General Public License (GPL)",
          "Programming Language :: Python :: 2.7",
          "Programming Language :: Python",
          "Topic :: Software Development :: Libraries :: Python Modules",
      ],
      keywords='',
      author='Pior Bastida',
      author_email='pior@pabstida.net',
      url='http://bitbucket.org/pior/mongopypi',
      license='GPL',
      packages=find_packages(),
      # include_package_data=True,
      # zip_safe=False,
      install_requires=[
          'mongokit',
      ],
      # extras_require={
      #     'test': ['z3c.testsetup']},
      entry_points={
          'console_scripts': [
              'pypi_changelog = mongopypi:changelog',
              'pypi_project_changelog = mongopypi:project_changelog',
              'pypi_project = mongopypi:project',
              'pypi_release = mongopypi:release',
          ],
      },
      )
